/* eject_volume.c */
/* Automount daemon */

/* Written and (C) Copyright Wolfram Saringer 1995  */
/* Documentation is available in the file $$$.dvi   */

#include "main.h"

/*****************************************************************************/
FLAG eject_volume(struct mount_entry *entry)
{
   int cd_fd;

#ifdef DEBUG
   printf("automountd: ejecting -%s-\n", entry->name);
#endif

   if ((cd_fd = open(entry->device, 0)) < 0)
   {
#ifndef DEBUG
      LOG_2MSG("Error ejecting device", entry->device);
#endif
      return(ERROR);
   }

   if (ioctl(cd_fd, CDROMEJECT))
   {
      (void) close(cd_fd);
      return (ERROR);
   }

   (void) close(cd_fd);
   return (OK);
}

/* end of eject_volume.c */
