#!/bin/sh
# Create an ASCII-version of the documentation:
cd Doc
detex automount.tex >automount.txt
cd ..

# Create tar file containing all files necessary for source distribution.
# The Name is made up from the strings "WDbBase-", the version nummber
# extracted from version.H and ".tgz". This extraction is done by
# the `grep ...`: it gives the value of the string defined in version.H.
# If you want to use tar, change "gtar zcf" to "tar cf".
cd ..
gtar zvcf  automount-`grep AUTOMOUNT_VERSION automount/version.h \
 |awk -F\" '{print $2}'`.tgz   `find automount/ -name "*.c" -print` \
 `find automount/ -name "*.h" -print` \
 `find automount/ -name "?akefile" -print` \
 `find automount/ -name "*.sh" -print` \
 `find automount/ -name "*.tex" -print` \
 `find automount/ -name "*.fig" -print` \
 `find automount/ -name "*.dvi" -print` \
 `find automount/ -name "*.ps" -print` \
 automount/Doc/automount.txt \
 automount/README \
 automount/COPYING \
 automount/automountd.conf
cd automount
