/* typedef.h */
/* Header for automount application */

/* Written and (C) Copyright Wolfram Saringer 1995  */
/* Documentation is available in the file $$$.dvi   */

#ifndef TYPEDEF_H
#define TYPEDEF_H

/*****************************************************************************/
typedef int FLAG;
typedef struct mount_entry
{
   char *device;        /* Device name */
   char *filesystem;    /* File system type */
   char *mount_point;   /* Mount point for device */
   char *name;          /* Name under which the device can be unmounted */

   FLAG mounted;        /* Currently mounted: YES/NO/ERROR */
   FLAG poll;           /* Check automatically or only upon request: */
                        /* YES/NO */
   char *buffer;        /* Holds the buffer from reading the file. */
                        /* The other pointers only point into this */
                        /* buffer. */
}MOUNT_ENTRY;


#endif /* TYPEDEF_H */
/* end of typedef.h */
